commit:     c0abd7f4519903e4334c05c82b64e7252d1bdf63
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  9 05:11:33 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 11 13:20:36 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c0abd7f4

media-libs/libkate: Kill .la files unconditionally

 media-libs/libkate/libkate-0.4.1-r3.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/media-libs/libkate/libkate-0.4.1-r3.ebuild 
b/media-libs/libkate/libkate-0.4.1-r3.ebuild
index fe9f1232492..b9892bb4c9f 100644
--- a/media-libs/libkate/libkate-0.4.1-r3.ebuild
+++ b/media-libs/libkate/libkate-0.4.1-r3.ebuild
@@ -4,7 +4,7 @@
 EAPI=6
 
 PYTHON_COMPAT=( python2_7 )
-inherit ltprune python-single-r1
+inherit python-single-r1
 
 DESCRIPTION="Codec for karaoke and text encapsulation for Ogg"
 HOMEPAGE="https://code.google.com/p/libkate/";
@@ -48,6 +48,6 @@ src_configure() {
 
 src_install() {
        default
-       prune_libtool_files
+       find "${D}" -name '*.la' -delete || die
        use wxwidgets && python_fix_shebang "${D}"
 }

Reply via email to